%define daemon_user monitor
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%define web_user apache
%define ninja_module_name nachos
Name: op5-nachos-ui
Version: %{op5version}
Release: %{op5release}
License: GPLv2
Vendor: OP5 AB
Url: http://www.op5.com
BuildRoot: %{_tmppath}/%{name}-%{version}
Summary: Nachos UI
Group: Applications/Internet
Prefix: /opt/monitor/op5/ninja
BuildArch: noarch
Requires: monitor-nacoma
Requires: monitor-ninja >= 3.1
BuildRequires: monitor-ninja
BuildRequires: monitor-ninja-devel
Source: %name-%version.tar.gz


%description
A monitor integration to be used with the Nachos API


%package test
Summary: Test files for Nachos-UI
Group: op5/Monitor
BuildRequires: monitor-ninja
Requires: monitor-nacoma
Requires: git
Requires: monitor-management-packs
Requires: monitor-ninja
Requires: monitor-pnp
Requires: op5-mysql
Requires: php-process
Requires: plugins-metadata
Requires: plugins-nagios
Requires: portal
Requires: gcc
Requires: phantomjs
Requires: php-phpunit-PHPUnit
Requires: python-nose
%if 0%{?rhel} <= 6
Requires: ruby20
Requires: ruby20-devel
%else
Requires: ruby
Requires: ruby-devel
%endif


%description test
Misc test files for nacoma.


%prep
%setup -q


%build
php build.php


%install
rm --recursive --force %buildroot

mkdir --parents %buildroot/opt/monitor/op5/%{ninja_module_name}
cp export.php %buildroot/opt/monitor/op5/%{ninja_module_name}/

mkdir --parents --mode 755 %buildroot%prefix/modules
cp --recursive %{ninja_module_name} %buildroot%prefix/modules

mkdir --parent %buildroot/%{_sysconfdir}/httpd/conf.d
cp httpd-%{ninja_module_name}.conf %buildroot/%{_sysconfdir}/httpd/conf.d/


%post
%if 0%{?rhel} <= 6
service httpd restart || exit 0
%else
systemctl restart httpd.service || exit 0
%endif


%files
%defattr(644,%daemon_user,%daemon_group,755)
/opt/monitor/op5/%{ninja_module_name}/export.php
%{_sysconfdir}/httpd/conf.d/httpd-%{ninja_module_name}.conf
%prefix/modules/%{ninja_module_name}


%files test
%defattr(644,monitor,apache,755)

%clean
rm -rf %buildroot


%changelog
* Tue Apr 17 2018 Robin Engström <rengstrom@op5.com>
- Initial build
